summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rw-r--r--src/rootfs_skel/etc/conf.d/.empty0
-rw-r--r--src/rootfs_skel/etc/fstab5
-rw-r--r--src/rootfs_skel/etc/group1
-rw-r--r--src/rootfs_skel/etc/init.d/.empty0
-rwxr-xr-xsrc/rootfs_skel/etc/init.d/S20urandom54
-rwxr-xr-xsrc/rootfs_skel/etc/init.d/S40network25
-rwxr-xr-xsrc/rootfs_skel/etc/init.d/rcS27
-rw-r--r--src/rootfs_skel/etc/inittab30
-rw-r--r--src/rootfs_skel/etc/local.d/.empty0
-rw-r--r--src/rootfs_skel/etc/passwd1
-rw-r--r--src/rootfs_skel/etc/runlevels/.empty0
-rw-r--r--src/rootfs_skel/etc/sysctl.d/.empty0
l---------src/rootfs_skel/run2
13 files changed, 10 insertions, 135 deletions
diff --git a/src/rootfs_skel/etc/conf.d/.empty b/src/rootfs_skel/etc/conf.d/.empty
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/src/rootfs_skel/etc/conf.d/.empty
diff --git a/src/rootfs_skel/etc/fstab b/src/rootfs_skel/etc/fstab
index 359aff7..2715009 100644
--- a/src/rootfs_skel/etc/fstab
+++ b/src/rootfs_skel/etc/fstab
@@ -1,9 +1,4 @@
# /etc/fstab: static file system information.
#
# <file system> <mount pt> <type> <options> <dump> <pass>
-/dev/root / ext2 rw,noauto 0 1
-proc /proc proc defaults 0 0
-tmpfs /dev/shm tmpfs rw 0 0
tmpfs /tmp tmpfs rw 0 0
-devpts /dev/pts devpts gid=5,mode=620 0 0
-sysfs /sys sysfs defaults 0 0
diff --git a/src/rootfs_skel/etc/group b/src/rootfs_skel/etc/group
index f78c22c..2ce50eb 100644
--- a/src/rootfs_skel/etc/group
+++ b/src/rootfs_skel/etc/group
@@ -5,6 +5,7 @@ sys:x:3:
adm:x:4:
tty:x:5:
disk:x:6:
+uucp:x:9:
wheel:x:10:root
utmp:x:43:
staff:x:50:
diff --git a/src/rootfs_skel/etc/init.d/.empty b/src/rootfs_skel/etc/init.d/.empty
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/src/rootfs_skel/etc/init.d/.empty
diff --git a/src/rootfs_skel/etc/init.d/S20urandom b/src/rootfs_skel/etc/init.d/S20urandom
deleted file mode 100755
index f73cea5..0000000
--- a/src/rootfs_skel/etc/init.d/S20urandom
+++ /dev/null
@@ -1,54 +0,0 @@
-#! /bin/sh
-#
-# urandom This script saves the random seed between reboots.
-# It is called from the boot, halt and reboot scripts.
-#
-# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
-#
-
-[ -c /dev/urandom ] || exit 0
-#. /etc/default/rcS
-
-case "$1" in
- start|"")
- if [ "$VERBOSE" != no ]
- then
- echo -n "Initializing random number generator... "
- fi
- # Load and then save 512 bytes,
- # which is the size of the entropy pool
- if [ -f /etc/random-seed ]
- then
- cat /etc/random-seed >/dev/urandom
- fi
- # check for read only file system
- if ! touch /etc/random-seed 2>/dev/null
- then
- echo "read-only file system detected...done"
- exit
- fi
- rm -f /etc/random-seed
- umask 077
- dd if=/dev/urandom of=/etc/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom start: failed."
- umask 022
- [ "$VERBOSE" != no ] && echo "done."
- ;;
- stop)
- if ! touch /etc/random-seed 2>/dev/null
- then
- exit
- fi
- # Carry a random seed from shut-down to start-up;
- # see documentation in linux/drivers/char/random.c
- [ "$VERBOSE" != no ] && echo -n "Saving random seed... "
- umask 077
- dd if=/dev/urandom of=/etc/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom stop: failed."
- [ "$VERBOSE" != no ] && echo "done."
- ;;
- *)
- echo "Usage: urandom {start|stop}" >&2
- exit 1
- ;;
-esac
diff --git a/src/rootfs_skel/etc/init.d/S40network b/src/rootfs_skel/etc/init.d/S40network
deleted file mode 100755
index ad6d250..0000000
--- a/src/rootfs_skel/etc/init.d/S40network
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/sh
-#
-# Start the network....
-#
-
-case "$1" in
- start)
- echo "Starting network..."
- /sbin/ifup -a
- ;;
- stop)
- echo -n "Stopping network..."
- /sbin/ifdown -a
- ;;
- restart|reload)
- "$0" stop
- "$0" start
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
-
diff --git a/src/rootfs_skel/etc/init.d/rcS b/src/rootfs_skel/etc/init.d/rcS
deleted file mode 100755
index de41153..0000000
--- a/src/rootfs_skel/etc/init.d/rcS
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-
-
-# Start all init scripts in /etc/init.d
-# executing them in numerical order.
-#
-for i in /etc/init.d/S??* ;do
-
- # Ignore dangling symlinks (if any).
- [ ! -f "$i" ] && continue
-
- case "$i" in
- *.sh)
- # Source shell script for speed.
- (
- trap - INT QUIT TSTP
- set start
- . $i
- )
- ;;
- *)
- # No sh extension, so fork subprocess.
- $i start
- ;;
- esac
-done
-
diff --git a/src/rootfs_skel/etc/inittab b/src/rootfs_skel/etc/inittab
index baf8f6b..a6ea291 100644
--- a/src/rootfs_skel/etc/inittab
+++ b/src/rootfs_skel/etc/inittab
@@ -1,28 +1,12 @@
-# /etc/inittab
-#
-# Copyright (C) 2001 Erik Andersen <andersen@codepoet.org>
-#
-# Note: BusyBox init doesn't support runlevels. The runlevels field is
-# completely ignored by BusyBox init. If you want runlevels, use
-# sysvinit.
-#
-# Format for each entry: <id>:<runlevels>:<action>:<process>
-#
-# id == tty to run on, or empty for /dev/console
-# runlevels == ignored
-# action == one of sysinit, respawn, askfirst, wait, and once
-# process == program to run
-
-# Startup the system
-null::sysinit:/bin/mount -o remount,rw /
-null::sysinit:/bin/mount -t proc proc /proc
+# Initial system critical filesystems mounting (/proc, /dev, /sys, etc.)
+# FIXME: Cleanup this for /tmp
null::sysinit:/bin/mount -a
-null::sysinit:/bin/hostname -F /etc/hostname
-null::sysinit:/sbin/ifconfig lo 127.0.0.1 up
-null::sysinit:/sbin/route add -net 127.0.0.0 netmask 255.0.0.0 lo
+
+::sysinit:/sbin/openrc sysinit
+::wait:/sbin/openrc boot
+::wait:/sbin/openrc default
+::wait:/sbin/openrc
null::sysinit:/sbin/udhcpc
-# now run any rc scripts
-::sysinit:/etc/init.d/rcS
# Set up a couple of getty's
#tty1::respawn:/sbin/getty 38400 tty1
diff --git a/src/rootfs_skel/etc/local.d/.empty b/src/rootfs_skel/etc/local.d/.empty
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/src/rootfs_skel/etc/local.d/.empty
diff --git a/src/rootfs_skel/etc/passwd b/src/rootfs_skel/etc/passwd
index 377d4df..4e68a53 100644
--- a/src/rootfs_skel/etc/passwd
+++ b/src/rootfs_skel/etc/passwd
@@ -4,6 +4,7 @@ bin:x:2:2:bin:/bin:/bin/sh
sys:x:3:3:sys:/dev:/bin/sh
sync:x:4:100:sync:/bin:/bin/sync
mail:x:8:8:mail:/var/spool/mail:/bin/sh
+uucp:x:9:9:uucp:/var/spool/uucp:/bin/sh
proxy:x:13:13:proxy:/bin:/bin/sh
www-data:x:33:33:www-data:/var/www:/bin/sh
backup:x:34:34:backup:/var/backups:/bin/sh
diff --git a/src/rootfs_skel/etc/runlevels/.empty b/src/rootfs_skel/etc/runlevels/.empty
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/src/rootfs_skel/etc/runlevels/.empty
diff --git a/src/rootfs_skel/etc/sysctl.d/.empty b/src/rootfs_skel/etc/sysctl.d/.empty
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/src/rootfs_skel/etc/sysctl.d/.empty
diff --git a/src/rootfs_skel/run b/src/rootfs_skel/run
index 1c2f433..0f0d788 120000
--- a/src/rootfs_skel/run
+++ b/src/rootfs_skel/run
@@ -1 +1 @@
-tmp \ No newline at end of file
+/var/run \ No newline at end of file